Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableDetailInfo

    java.lang.Object
      jet.api.TableDetailInfo

    public class TableDetailInfo

extends java.lang.Object

Constructor Summary
`TableDetailInfo(java.util.Vector displayInfos, boolean isParallel, boolean isTileDetail, boolean isTileHorizontal)` Constructor.
`TableDetailInfo(java.util.Vector displayInfos, double width, double height, boolean isParallel, boolean isTileDetail, boolean isTileHorizontal)` Constructor.

Method Summary
`boolean` | `addDisplayInfo(DisplayFieldInfo displayFieldInfo)` Appends a display's information of this detail.
`void` | `addDisplayInfo(int index, DisplayFieldInfo element)` Inserts a display's information of the detail at the specified position.
`void` | `clearDisplayInfos()` Removes all of the displays' information from the detail.
`DisplayFieldInfo` | `getDisplayInfo(int index)` Returns the DisplayFieldInfo at the specified position.
`java.util.Vector` | `getDisplayInfos()` Gets the displays' information of this detail.
`double` | `getHeight()` Gets the predefined table's Detail height.
`double` | `getWidth()` Deprecated. since version 10.0.
`boolean` | `isParallel()` Deprecated. since version 10.0.
`boolean` | `isTileDetail()` Deprecated. since version 10.0.
`boolean` | `isTileHorizontal()` Deprecated. since version 10.0.
`boolean` | `removeDisplayInfo(DisplayFieldInfo displayFieldInfo)` Removes the first occurrence of the DisplayFieldInfo.
`DisplayFieldInfo` | `removeDisplayInfo(int index)` Removes the DisplayFieldInfo at the specified position.
`void` | `setDisplayInfos(java.util.Vector displayInfos)` Sets the displays' information of this detail.
`void` | `setHeight(double height)` Sets the predefined table's Detail height.
`void` | `setParallel(boolean isParallel)` Deprecated. since version 10.0.
`void` | `setProperty(java.lang.String key, java.lang.String value)` If the property is changed by a formula, the `value` is the formula mapping name.
`void` | `setTileDetail(boolean isTileDetail)` Deprecated. since version 10.0.
`void` | `setTileHorizontal(boolean isTileHorizontal)` Deprecated. since version 10.0.
`void` | `setWidth(double width)` Deprecated. since version 10.0.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDetailInfo

    public TableDetailInfo(java.util.Vector displayInfos,
                           boolean isParallel,
                           boolean isTileDetail,
                           boolean isTileHorizontal)

  Constructor. Creates Information of the Table's Detail context.

  Parameters:
    `displayInfos` - A set of DisplayFieldInfo of the table's Detail section. See also `DisplayFieldInfo`
    `isParallel` - Indicates whether it is a parallel Detail section or not in the banded object.
    `isTileDetail` - Indicates whether it would be created as a tiled section in the banded object.
    `isTileHorizontal` - Indicates whether it would be created as a Horizontally tiled section in the banded object.

### TableDetailInfo

    public TableDetailInfo(java.util.Vector displayInfos,
                           double width,
                           double height,
                           boolean isParallel,
                           boolean isTileDetail,
                           boolean isTileHorizontal)

  Constructor. Creates Information of the Table's Detail context.

  Parameters:
    `displayInfos` - A set of DisplayFieldInfo of the table's Detail section. See also `DisplayFieldInfo`
    `height` - Indicates the height of the table's Detail section.
    `isParallel` - Indicates whether it is a parallel Detail section or not in the banded object.
    `isTileDetail` - Indicates whether it would be created as a tiled section in the banded object.
    `isTileHorizontal` - Indicates whether it would be created as a Horizontally tiled section in the banded object.

Method Detail

### getDisplayInfos

    public java.util.Vector getDisplayInfos()

  Gets the displays' information of this detail.

  Returns:
    Vector of DisplayFieldInfo.

### setDisplayInfos

    public void setDisplayInfos(java.util.Vector displayInfos)

  Sets the displays' information of this detail.

### addDisplayInfo

    public void addDisplayInfo(int index,
                               DisplayFieldInfo element)

  Inserts a display's information of the detail at the specified position.

  Parameters:
    `index` - Index at which the DisplayFieldInfo is to be inserted.
    `element` - DisplayFieldInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is is out of range (index < 0 || index > size()).

### addDisplayInfo

    public boolean addDisplayInfo(DisplayFieldInfo displayFieldInfo)

  Appends a display's information of this detail.

  Parameters:
    `displayFieldInfo` - Defines the field information in Detail section. See also `DisplayFieldInfo`
  Returns:
    true if displayFieldInfo is added successfully.

### clearDisplayInfos

    public void clearDisplayInfos()

  Removes all of the displays' information from the detail.

### getDisplayInfo

    public DisplayFieldInfo getDisplayInfo(int index)

  Returns the DisplayFieldInfo at the specified position.

  Parameters:
    `index` - Index of DisplayFieldInfo to return.
  Returns:
    DisplayFieldInfo at the specified index.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is is out of range (index < 0 || index >= size()).

### removeDisplayInfo

    public DisplayFieldInfo removeDisplayInfo(int index)

  Removes the DisplayFieldInfo at the specified position. shifts all subsequent DisplayFieldInfo to the left (subtracts one from the indices). Returns the DisplayFieldInfo that is removed.

  Parameters:
    `index` - The index of the DisplayFieldInfo to be removed.
  Returns:
    DisplayFieldInfo that is removed.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is out of range (index < 0 || index >= size()).

### removeDisplayInfo

    public boolean removeDisplayInfo(DisplayFieldInfo displayFieldInfo)

  Removes the first occurrence of the DisplayFieldInfo. If the Vector does not contain the DisplayFieldInfo, it is unchanged. More formally, removes the DisplayFieldInfo with the lowest index.

  Parameters:
    `isplayFieldInfo` - DisplayFieldInfo to be removed, if present.
  Returns:
    true if the Vector contains the HeaderInfo.

### isParallel

    public boolean isParallel()

  Deprecated. since version 10.0.

  Tests if this detail is parallel.

  Returns:
    true if the detail section is a parallel section.

### setParallel

    public void setParallel(boolean isParallel)

  Deprecated. since version 10.0.

  Sets detail to parallel or not.

  Parameters:
    `isParallel` - Specifies if the detail section is a parallel section.

### getWidth

    public double getWidth()

  Deprecated. since version 10.0.

  Gets the predefined table's Detail width.

  Returns:
    table's Detail width.

### setWidth

    public void setWidth(double width)

  Deprecated. since version 10.0.

  Sets the predefined table's Detail width.

  Parameters:
    `width` - Table's Detail width.

### getHeight

    public double getHeight()

  Gets the predefined table's Detail height.

  Returns:
    table's Detail height.

### setHeight

    public void setHeight(double height)

  Sets the predefined table's Detail height.

  Parameters:
    `width` - Table's Detail height.

### isTileHorizontal

    public boolean isTileHorizontal()

  Deprecated. since version 10.0.

  Checks whether it is created as a horizontally tiled section in the banded object.

  Returns:
    true if it is created as a horizontally tiled section in the banded object.

### setTileHorizontal

    public void setTileHorizontal(boolean isTileHorizontal)

  Deprecated. since version 10.0.

  Sets whether it is created as a horizontally tiled section in the banded object.

  Parameters:
    `isTileHorizontal` - Indicates to create a horizontally tiled section in banded object.

### isTileDetail

    public boolean isTileDetail()

  Deprecated. since version 10.0.

  Checks whether it is created as a tiled section in the banded object.

  Returns:
    true if it is created as a tiled section in the banded object.

### setTileDetail

    public void setTileDetail(boolean isTileDetail)

  Deprecated. since version 10.0.

  Sets whether it is created as a tiled section in the banded object.

  Parameters:
    `isTileDetail` - Indicates to create a tiled section in the banded object.

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  If the property is changed by a formula, the `value` is the formula mapping name. And `setMark(key, true)` must be called to set the changeBy information.

  Parameters:
    `key` - property name.
    `value` - property value. Note: Don't set x,y,width,height with this.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD